summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorGaurav Khanna <gkhanna@microsoft.com>2016-12-16 12:47:08 -0800
committerGaurav Khanna <gkhanna@microsoft.com>2016-12-16 15:31:19 -0800
commit775363197bfc34175e746d8cd14ebdc1119145c6 (patch)
tree58ccc6b637a1d4a0bd178b8646805a76ac52ad39 /build.sh
parentbedc2a0f2031538ac236ff129572739d1ecd97bb (diff)
downloadcoreclr-775363197bfc34175e746d8cd14ebdc1119145c6.tar.gz
coreclr-775363197bfc34175e746d8cd14ebdc1119145c6.tar.bz2
coreclr-775363197bfc34175e746d8cd14ebdc1119145c6.zip
Packaging support for portable Linux binaries.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh20
1 files changed, 18 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index efdd5cbff6..ca27844933 100755
--- a/build.sh
+++ b/build.sh
@@ -42,6 +42,7 @@ usage()
echo "skipmscorlib - do not build mscorlib.dll."
echo "skiptests - skip the tests in the 'tests' subdirectory."
echo "skipnuget - skip building nuget packages."
+ echo "portableLinux - build for Portable Linux Distribution"
echo "verbose - optional argument to enable verbose build output."
echo "-skiprestore: skip restoring packages ^(default: packages are restored during build^)."
echo "-disableoss: Disable Open Source Signing for System.Private.CoreLib."
@@ -84,6 +85,11 @@ initTargetDistroRid()
else
export __DistroRid="$__HostDistroRid"
fi
+
+ # Portable builds target the base RID only for Linux based platforms
+ if [ $__PortableLinux == 1 ]; then
+ export __DistroRid="linux-$__BuildArch"
+ fi
}
setup_dirs()
@@ -520,6 +526,7 @@ __DistroRid=""
__cmakeargs=""
__SkipGenerateVersion=0
__DoCrossArchBuild=0
+__PortableLinux=0
while :; do
if [ $# -le 0 ]; then
@@ -572,8 +579,17 @@ while :; do
cross)
__CrossBuild=1
;;
-
- verbose)
+
+ portablelinux)
+ if [ "$__BuildOS" == "Linux" ]; then
+ __PortableLinux=1
+ else
+ echo "ERROR: portableLinux not supported for non-Linux platforms."
+ exit 1
+ fi
+ ;;
+
+ verbose)
__VerboseBuild=1
;;